# Inference

Learn about the API specification implemented in all Seldon inference servers. The specification ensures consistency and interoperability across different inference server implementations.

Seldon inference servers must respect the following API specification.

* [Seldon, KServe, NVIDIA V2 Inference API Spec](/seldon-core-2/user-guide/v2.md)

In future, Seldon may provide extensions for use with Pipelines, Experiments and Explainers.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.seldon.ai/seldon-core-2/resources/apis/inference.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
